Subject: bug#62721: 30.0.50; EUDC: stop adding a wildcard to LDAP searches

From: Fabrice Bauzac-Stehly <[email-masked]>
Date: Mon, 15 May 2023 22:15:49 +0200

Hello Thomas,

Thomas Fitzsimmons <[email-masked]> writes:

> Do you mind posting the `eudc-ldap-no-wildcard-attributes' setting you
> ended up with?  The docstring for that variable doesn't mention
> adjusting this as a preference, only LDAP failure workarounds.  I
> would like to update the docstring with an example, to make your use
> case more discoverable.

Sure.  I have kept the two default items of the list, and added
'samaccountname (the attribute for which I don't want any wildcard).  As
I've used Customize, it appears like this in my ~/.emacs.d/init.el:

'(eudc-ldap-no-wildcard-attributes '(objectclass objectcategory samaccountname))

Thanks!

-- 
Fabrice Bauzac-Stehly
PGP 01EEACF8244E9C14B551C5256ADA5F189BD322B6